OpenapiRealms
Update realm TOTP configuration
Updates the TOTP (Time-based One-Time Password) configuration for a realm, including whether TOTP is enabled and whether it is force-required for all users. Requires 'settings.manage' permission.
Updates the TOTP (Time-based One-Time Password) configuration for a realm, including whether TOTP is enabled and whether it is force-required for all users. Requires 'settings.manage' permission.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
realmId*string
Realm ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
enabled*boolean
forceEnabled*boolean
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/realms/string/config/totp" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "forceEnabled": true }'{ "enabled": true, "forceEnabled": true, "message": "string", "updatedAt": "string"}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}